Android LibUtils任意代码执行漏洞

CVE编号

CVE-2016-3861

利用情况

暂无

补丁情况

N/A

披露时间

2016-09-12
漏洞描述
Android是美国谷歌公司和开放手持设备联盟共同开发的一套以Linux为基础的开源操作系统。

Android LibUtils存在安全漏洞,允许远程攻击者可利用该漏洞构建恶意应用,诱使用户解析,可提升权限。
解决建议
用户可参考如下厂商提供的安全补丁以修复该漏洞:
https://source.android.com/security/bulletin/2016-09-01.html
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
系统 debian DPKG * Up to
(excluding)
1:7.0.0+r1-4
运行在以下环境
系统 google android 4.0 -
运行在以下环境
系统 google android 4.0.1 -
运行在以下环境
系统 google android 4.0.2 -
运行在以下环境
系统 google android 4.0.3 -
运行在以下环境
系统 google android 4.0.4 -
运行在以下环境
系统 google android 4.1 -
运行在以下环境
系统 google android 4.1.2 -
运行在以下环境
系统 google android 4.2 -
运行在以下环境
系统 google android 4.2.1 -
运行在以下环境
系统 google android 4.2.2 -
运行在以下环境
系统 google android 4.3 -
运行在以下环境
系统 google android 4.3.1 -
运行在以下环境
系统 google android 4.4 -
运行在以下环境
系统 google android 4.4.1 -
运行在以下环境
系统 google android 4.4.2 -
运行在以下环境
系统 google android 4.4.3 -
运行在以下环境
系统 google android 5.0 -
运行在以下环境
系统 google android 5.0.1 -
运行在以下环境
系统 google android 5.1 -
运行在以下环境
系统 google android 5.1.0 -
运行在以下环境
系统 google android 6.0 -
运行在以下环境
系统 google android 6.0.1 -
运行在以下环境
系统 google android 7.0 -
运行在以下环境
系统 ubuntu_18.04.5_lts android-platform-system-core * Up to
(excluding)
1:7.0.0+r1-4
运行在以下环境
系统 ubuntu_18.04_lts android-platform-system-core * Up to
(excluding)
1:7.0.0+r1-4
运行在以下环境
系统 ubuntu_18.10 android-platform-system-core * Up to
(excluding)
1:7.0.0+r1-4
CVSS3评分
7.8
  • 攻击路径
    本地
  • 攻击复杂度
  • 权限要求
  • 影响范围
    未更改
  • 用户交互
    需要
  • 可用性
  • 保密性
  • 完整性
CWE-ID 漏洞类型
CWE-119 内存缓冲区边界内操作的限制不恰当
CWE-264 权限、特权和访问控制
阿里云安全产品覆盖情况